﻿@import url('open.iconic/font/css/open-iconic-bootstrap.min.css');
@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

/*devex-customize*/
:root {
    --primary: #bd96ff;
    --primary-dark: #9b6deb;
    --primary-darker: #a26cff;
    --secondary: #3382eb;
    --secondary-dark: #315996;
    --secondary-darker: #594ae2;

    /*bs variables*/
    --bs-primary: var(--primary-darker);
}

.dxbl-toast-portal .dxbl-toast {
    --dxbl-toast-header-font-size: 14px !important;
}

    .dxbl-toast-portal .dxbl-toast .dxbl-toast-body {
        min-width: 287px;
    }

.dxbl-toast-header {
    font-size: 14px !important;
}

.dxbl-btn-standalone.dxbl-btn-primary {
    --dxbl-btn-color: rgb(255, 255, 255);
    --dxbl-btn-bg: var(--primary);
    --dxbl-btn-border-color: var(--primary);
    --dxbl-btn-active-bg: var(--primary-dark);
    --dxbl-btn-active-color: rgb(255, 255, 255);
    --dxbl-btn-active-border-color: var(--primary-dark);
    --dxbl-btn-hover-bg: var(--primary-darker);
    --dxbl-btn-hover-color: rgb(255, 255, 255);
    --dxbl-btn-hover-border-color: var(--primary-darker);
    --dxbl-btn-disabled-bg: #c5b3e6;
    --dxbl-btn-disabled-color: rgb(255, 255, 255);
    --dxbl-btn-disabled-border-color: #c5b3e6;
    --dxbl-btn-focus-outline-size: 0.125rem;
    --dxbl-btn-focus-outline-offset: 0.063rem;
    --dxbl-btn-focus-box-shadow: 0 0 0 0 rgba(0, 0, 0, 0);
    --dxbl-btn-focus-bg: var(--primary);
    --dxbl-btn-focus-color: rgb(255, 255, 255);
    --dxbl-btn-focus-border-bg: var(--primary);
    --dxbl-btn-focus-outline-color: var(--primary);
}
.dxbl-upload {
    --dxbl-upload-file-margin-bottom: 0.1rem !important;
    --dxbl-upload-file-list-view-padding-top: 0.4rem !important;
}

.dxbl-btn-standalone.dxbl-btn-info {
    --dxbl-btn-color: rgb(255, 255, 255);
    --dxbl-btn-bg: var(--secondary);
    --dxbl-btn-border-color: var(--secondary);
    --dxbl-btn-active-bg: var(--secondary-darker);
    --dxbl-btn-active-color: rgb(255, 255, 255);
    --dxbl-btn-active-border-color: var(--secondary-darker);
    --dxbl-btn-hover-bg: var(--secondary-dark);
    --dxbl-btn-hover-color: rgb(255, 255, 255);
    --dxbl-btn-hover-border-color: var(--secondary-dark);
    --dxbl-btn-disabled-bg: #9eeaf9;
    --dxbl-btn-disabled-color: rgb(255, 255, 255);
    --dxbl-btn-disabled-border-color: #9eeaf9;
    --dxbl-btn-focus-outline-size: 0.125rem;
    --dxbl-btn-focus-outline-offset: 0.063rem;
    --dxbl-btn-focus-box-shadow: 0 0 0 0 rgba(0, 0, 0, 0);
    --dxbl-btn-focus-bg: var(--secondary);
    --dxbl-btn-focus-color: rgb(255, 255, 255);
    --dxbl-btn-focus-border-bg: var(--secondary);
    --dxbl-btn-focus-outline-color: #6f42c1;
}

.newPrescriptionAdd {
    width: calc(100% - 3rem) !important;
    display: flex;
    align-items: flex-end;
}

html, body {
    font-family: "Montserrat", sans-serif;
}

html, body {
    height: 100%;
    overflow: hidden;
}

.main-header {
    background: url(../images/main-header-bg.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    width: 100%;
    color: white;
    text-transform: uppercase;
    margin: 0;
}

.short-label label {
    justify-content: flex-end !important;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

.button-link {
    text-decoration: unset;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }


.login-page {
    width: 100vw;
    height: 100vh;
}

    .login-page .section-right {
        width: 50%;
        height: 100%;
        background: url(../images/login-page-right.png);
        background-size: cover;
        background-repeat: no-repeat;
        background-position: center;
        display: flex;
        justify-content: center;
        align-items: center;
        height: 100%;
    }

    .login-page .logo {
        width: 10rem;
        max-width: 100%;
        margin-bottom: clamp(2rem, 1.5385rem + 2.0513vw, 4rem);
    }

.logo-img {
    width: 100%;
    height: auto;
}


/*Measurements*/
.measurement {
    cursor: pointer;
    display: flex;
    border-radius: 8px;
    height: 100%;
    margin: 0;
    text-decoration: none;
    box-shadow: 0 4px 20px rgba(0,0,0,0.20);
    transition: .2s ease-in-out;
    height: 10rem;
    margin-bottom: 1rem;
}

    .measurement:hover {
        box-shadow: 0 4px 20px rgba(0,0,0,0.30);
    }

.measurement-icon {
    height: 100%;
    width: 10rem;
    max-width: 80%;
    background: url('/images/pomiary.png');
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 1rem;
}

    .measurement-icon img {
        width: 80%;
        height: auto;
    }

.measurement-title {
    padding: 1rem;
}

    .measurement-title p {
        font-size: 1.3rem;
        font-weight: 600;
    }

        .measurement-title p::after {
            display: block;
            margin-top: 1rem;
            content: '';
            width: 45px;
            height: 4px;
            background: #72d1e0;
        }

.flex-grow-1 {
    -webkit-box-flex: 1 !important;
    -webkit-flex-grow: 1 !important;
    -ms-flex-positive: 1 !important;
    flex-grow: 1 !important;
}

.max-width {
    max-width: 400px !important;
}

.text-align-left {
    text-align: left !important;
}
text-align-center {
    text-align:center !important;
}


.text-bold {
    font-weight: 800;
}


.mr-3 {
    margin-right: 1rem !important;
}
.ml-3 {
    margin-left: 1rem !important;
}
.mr-4 {
    margin-right: 1.5rem !important;
}

.ml-4 {
    margin-left: 1.5rem !important;
}
.mainBadge {
    display: inline-flex; 
    justify-content: center; 
    align-items: center; 
    width: 10px; 
    height: 10px; 
    border-radius: 50%; 
    margin: 0 5px;
}
.mainBadge-danger {
    color: red;
    background-color: red;
}
.mainBadge-info {
    color: dodgerblue;
    background-color: red;
}
.mainBadge-success {
    color: limegreen;
    background-color: red;
}
.mainBadge-warning {
    color: orange;
    background-color: red;
}